STRRCHR(3)

NAME
strrchr, rindex - locate last occurrence of a character in a string

SYNOPSIS
#include <string.h>
char *
strrchr(const char *s, int c);
char *
rindex(const char *s, int c);

DESCRIPTION
The strrchr() function locates the last occurrence of the character c in the string s. The terminating NUL character is considered part of the string. If c is ‘\0’, strrchr() locates the terminating ‘\0’.

The rindex() function is an old synonym for strrchr().

RETURN VALUES
The strrchr() function returns a pointer to the located character or NULL if the character does not appear in the string.

EXAMPLES
After the following call to strrchr(), p will point to the string "obar":

    char *p;
    char *s = "foobar";
    p = strrchr(s, 'o');

SEE ALSO
memchr(3), strchr(3), strcspn(3), strpbrk(3), strsep(3), strspn(3), strstr(3), strtok(3), wcsrchr(3)

STANDARDS
The strrchr() function conforms to ansiC.

The rindex() function is deprecated and shouldn't be used in new code.

HISTORY
The rindex() function first appeared in AT&T UNIX. The strrchr() function first appeared in AT&T UNIX III and was reimplemented for 4.3BSD Tahoe.